// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/monitoring/GenericAlarm.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Monitoring {

  /// <summary>Holder for reflection information generated from event/monitoring/GenericAlarm.proto</summary>
  public static partial class GenericAlarmReflection {

    #region Descriptor
    /// <summary>File descriptor for event/monitoring/GenericAlarm.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static GenericAlarmReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNldmVudC9tb25pdG9yaW5nL0dlbmVyaWNBbGFybS5wcm90bxIQZXZlbnQu",
            "bW9uaXRvcmluZyLxAQoMR2VuZXJpY0FsYXJtEhUKDXJlc291cmNlX3V1aWQY",
            "ASABKAkSEQoFdGl0bGUYAiABKAlCAhgBEhcKC2Rlc2NyaXB0aW9uGAMgASgJ",
            "QgIYARIUCgdwYXlsb2FkGAQgASgJSACIAQESEgoKYWxhcm1fY29kZRgFIAEo",
            "CRJCCg1yZXNvdXJjZV90eXBlGAYgASgOMisuZXZlbnQubW9uaXRvcmluZy5H",
            "ZW5lcmljQWxhcm0uUmVzb3VyY2VUeXBlIiQKDFJlc291cmNlVHlwZRIICgRT",
            "SVRFEAASCgoGREVWSUNFEGRCCgoIX3BheWxvYWRCjQEKImNvbS5jb2RpYmx5",
            "Lm1vZGVsLmV2ZW50Lm1vbml0b3JpbmdCEUdlbmVyaWNBbGFybVByb3RvygIi",
            "RG9tYWluTW9kZWxcUHJvdG9cRXZlbnRcTW9uaXRvcmluZ+ICLkRvbWFpbk1v",
            "ZGVsXFByb3RvXEV2ZW50XE1vbml0b3JpbmdcR1BCTWV0YWRhdGFiBnByb3Rv",
            "Mw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Monitoring.GenericAlarm), global::Event.Monitoring.GenericAlarm.Parser, new[]{ "ResourceUuid", "Title", "Description", "Payload", "AlarmCode", "ResourceType" }, new[]{ "Payload" }, new[]{ typeof(global::Event.Monitoring.GenericAlarm.Types.ResourceType) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class GenericAlarm : pb::IMessage<GenericAlarm>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<GenericAlarm> _parser = new pb::MessageParser<GenericAlarm>(() => new GenericAlarm());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<GenericAlarm> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Monitoring.GenericAlarmReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GenericAlarm() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GenericAlarm(GenericAlarm other) : this() {
      resourceUuid_ = other.resourceUuid_;
      title_ = other.title_;
      description_ = other.description_;
      payload_ = other.payload_;
      alarmCode_ = other.alarmCode_;
      resourceType_ = other.resourceType_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GenericAlarm Clone() {
      return new GenericAlarm(this);
    }

    /// <summary>Field number for the "resource_uuid" field.</summary>
    public const int ResourceUuidFieldNumber = 1;
    private string resourceUuid_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ResourceUuid {
      get { return resourceUuid_; }
      set {
        resourceUuid_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "title" field.</summary>
    public const int TitleFieldNumber = 2;
    private string title_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Title {
      get { return title_; }
      set {
        title_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "description" field.</summary>
    public const int DescriptionFieldNumber = 3;
    private string description_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Description {
      get { return description_; }
      set {
        description_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "payload" field.</summary>
    public const int PayloadFieldNumber = 4;
    private string payload_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Payload {
      get { return payload_ ?? ""; }
      set {
        payload_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "payload" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasPayload {
      get { return payload_ != null; }
    }
    /// <summary>Clears the value of the "payload" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearPayload() {
      payload_ = null;
    }

    /// <summary>Field number for the "alarm_code" field.</summary>
    public const int AlarmCodeFieldNumber = 5;
    private string alarmCode_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string AlarmCode {
      get { return alarmCode_; }
      set {
        alarmCode_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "resource_type" field.</summary>
    public const int ResourceTypeFieldNumber = 6;
    private global::Event.Monitoring.GenericAlarm.Types.ResourceType resourceType_ = global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Event.Monitoring.GenericAlarm.Types.ResourceType ResourceType {
      get { return resourceType_; }
      set {
        resourceType_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as GenericAlarm);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(GenericAlarm other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ResourceUuid != other.ResourceUuid) return false;
      if (Title != other.Title) return false;
      if (Description != other.Description) return false;
      if (Payload != other.Payload) return false;
      if (AlarmCode != other.AlarmCode) return false;
      if (ResourceType != other.ResourceType) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ResourceUuid.Length != 0) hash ^= ResourceUuid.GetHashCode();
      if (Title.Length != 0) hash ^= Title.GetHashCode();
      if (Description.Length != 0) hash ^= Description.GetHashCode();
      if (HasPayload) hash ^= Payload.GetHashCode();
      if (AlarmCode.Length != 0) hash ^= AlarmCode.GetHashCode();
      if (ResourceType != global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site) hash ^= ResourceType.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ResourceUuid.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(ResourceUuid);
      }
      if (Title.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Title);
      }
      if (Description.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Description);
      }
      if (HasPayload) {
        output.WriteRawTag(34);
        output.WriteString(Payload);
      }
      if (AlarmCode.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(AlarmCode);
      }
      if (ResourceType != global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site) {
        output.WriteRawTag(48);
        output.WriteEnum((int) ResourceType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ResourceUuid.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(ResourceUuid);
      }
      if (Title.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Title);
      }
      if (Description.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Description);
      }
      if (HasPayload) {
        output.WriteRawTag(34);
        output.WriteString(Payload);
      }
      if (AlarmCode.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(AlarmCode);
      }
      if (ResourceType != global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site) {
        output.WriteRawTag(48);
        output.WriteEnum((int) ResourceType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ResourceUuid.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ResourceUuid);
      }
      if (Title.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Title);
      }
      if (Description.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Description);
      }
      if (HasPayload) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Payload);
      }
      if (AlarmCode.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(AlarmCode);
      }
      if (ResourceType != global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) ResourceType);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(GenericAlarm other) {
      if (other == null) {
        return;
      }
      if (other.ResourceUuid.Length != 0) {
        ResourceUuid = other.ResourceUuid;
      }
      if (other.Title.Length != 0) {
        Title = other.Title;
      }
      if (other.Description.Length != 0) {
        Description = other.Description;
      }
      if (other.HasPayload) {
        Payload = other.Payload;
      }
      if (other.AlarmCode.Length != 0) {
        AlarmCode = other.AlarmCode;
      }
      if (other.ResourceType != global::Event.Monitoring.GenericAlarm.Types.ResourceType.Site) {
        ResourceType = other.ResourceType;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            ResourceUuid = input.ReadString();
            break;
          }
          case 18: {
            Title = input.ReadString();
            break;
          }
          case 26: {
            Description = input.ReadString();
            break;
          }
          case 34: {
            Payload = input.ReadString();
            break;
          }
          case 42: {
            AlarmCode = input.ReadString();
            break;
          }
          case 48: {
            ResourceType = (global::Event.Monitoring.GenericAlarm.Types.ResourceType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            ResourceUuid = input.ReadString();
            break;
          }
          case 18: {
            Title = input.ReadString();
            break;
          }
          case 26: {
            Description = input.ReadString();
            break;
          }
          case 34: {
            Payload = input.ReadString();
            break;
          }
          case 42: {
            AlarmCode = input.ReadString();
            break;
          }
          case 48: {
            ResourceType = (global::Event.Monitoring.GenericAlarm.Types.ResourceType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the GenericAlarm message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ResourceType {
        [pbr::OriginalName("SITE")] Site = 0,
        [pbr::OriginalName("DEVICE")] Device = 100,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
